<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>CHANGI</title>
    <link href="css/uiStyle.css" rel="stylesheet">
    <link href="css/lib/jquery-ui.min.css" rel="stylesheet">
    <!--<link href="css/lib/dateRangeSlider.css" rel="stylesheet">-->
    <link href="directives/css/dateSlider.css" rel="stylesheet">
    <link href="css/lib/animate.css" rel="stylesheet">
    <link href="css/fonts.css" rel="stylesheet">
    <link href="css/cameraCss.css" rel="stylesheet">
    <link rel="stylesheet" href="http://openlayers.org/en/v3.12.1/css/ol.css" type="text/css">
    <link rel="stylesheet" href="http://tombatossals.github.io/angular-openlayers-directive/bower_components/openlayers3/build/ol.css" />
    <link rel="stylesheet" href="http://tombatossals.github.io/angular-openlayers-directive/dist/angular-openlayers-directive.css" />

    <link href="css/prestyles.css" rel="stylesheet">

    <script src="js/lib/jquery-2.1.4.min.js"></script>
    <script src="js/lib/jquery-ui.min.js"></script>
    <script src="js/lib/highcharts.js"></script>
    <script src="js/lib/highcharts-more.js"></script>
    <script src="js/lib/highcharts-solid-gauge.js"></script>
    <script src="js/lib/moment.js"></script>
    <script src="js/lib/wow.min.js"></script>
    <script src="js/script.js"></script>

    <script src="js/lib/angular.min.js"></script>
    <script src="js/lib/angular-ui-router.js"></script>
    <script src="js/app.js"></script>
    <script src="js/controllers.js"></script>
    <!--<script src="js/lib/slider/sliderModule.js"></script>-->
    <!--controllers-->

    <script src="js/controllers/camControllers.js"></script>
    <script src="js/controllers/analyticsController.js"></script>
    <script src="js/controllers/notificationController.js"></script>
    <script src="js/controllers/settingsController.js"></script>
    <script src="js/controllers/loginCtrl.js"></script>
    <script src="js/controllers/angularMapController.js"></script>
    <script src="js/controllers/terminalController.js"></script>
    <script src="js/controllers/dataDownloadCtrl.js"></script>
    <script src="js/controllers/wowController.js"></script>
    <script src="js/controllers/dataController.js"></script>
    <script src="js/controllers/userDetailsCtrl.js"></script>
    <script src="js/controllers/defaultConfigurationCtrl.js"></script>

    <!--Services-->
    <script src="js/services/messageService.js"></script>
    <script src="js/services/analyticsService.js"></script>
    <script src="js/services/settingService.js"></script>
    <script src="js/services/mapService.js"></script>
    <script src="js/services/AuthenticationService.js"></script>
    <script src="js/services/notificationService.js"></script>
    <script src="js/services/trolleyService.js"></script>
    <script src="js/services/userService.js"></script>
    <script src="js/services/dataDownloadService.js"></script>
    <script src="js/services/defaultConfigService.js"></script>
  <script src="js/services/configuration.js"></script>

    <!--directives-->
    <script src="js/directives/highChart.js"></script>
    <script src="js/directives/onFinishRender.js"></script>
    <script src="directives/js/dateSlider.js"></script>
    <script src="directives/js/notification.js"></script>
    <script src="directives/js/sideNavigation.js"></script>
    <script src="directives/js/solidGauge.js"></script>
    <script src="directives/js/areaGraph.js"></script>
    <script src="directives/js/barGraph.js"></script>
    <script src="directives/js/spline.js"></script>
    <script src="directives/js/datePicker.js"></script>

    <script src="js/lib/checklist-model/checklist-model.js"></script>
    <script>

      /*number = (Math.random()+' ').substring(2,10)+(Math.random()+' ').substring(2,10);*/
      function randomString(length, chars) {
        var result = '';
        for (var i = length; i > 0; --i) result += chars[Math.round(Math.random() * (chars.length - 1))];
        console.log("!!!!!!!1!!!"+result);
      }
      randomString(32, '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ');
    </script>

</head>
<!--ng-controller="notificationController"-->
<body ng-app="changi" ng-controller="notificationController">
<div id="appWrapper" ng-controller="popupController">

    <div id="header" ng-controller="activeNav">
        <div class="leftSec floatLeft">
            <div class="logo midBlock">
                <img src="images/changiLogo.png" alt="Changi logo">
            </div>
            <div class="contType midBlock" ng-hide="currentNav('userPage')">
                <div class="">
                    <div class="dropDown lanes midBlock small borderLft medium">
                        <div class="head" data-init="0">
                            <div class="headTitle" ng-show="currentNav('traffic')">Traffic Management</div>
                            <div class="headTitle"ng-show="currentNav('terminal')">Terminal Management</div>
                            <img src="images/downArrow.png" alt="down" class="sign">
                        </div>
                    </div>
                    <!--<div class="dropDown midBlock small">
                        <div class="head">
                            <div class="headTitle">Inbound</div>
                            <img src="images/downArrow.png" alt="down" class="sign">
                        </div>
                    </div>-->
                </div>

                <!--<div class="borderLft" ng-show="false">-->
                    <!--<div class="dropDown midBlock small">-->
                        <!--<div class="head" data-init="0">-->
                            <!--<div class="headTitle" ng-show="currentNav('settings/accessCont')">Access Control</div>-->
                            <!--<div class="headTitle" ng-show="currentNav('settings/conditions')">Conditions</div>-->
                            <!--<img src="images/downArrow.png" alt="down" class="sign">-->
                        <!--</div>-->
                        <!--<ul class="list anchor">-->
                            <!--<li><a href="#/settings/accessCont/manager">Access Control</a></li>-->
                            <!--<li><a href="#/settings/conditions/alerts/all">Conditions</a></li>-->
                        <!--</ul>-->
                    <!--</div>-->
                <!--</div>-->

            </div>
        </div>
      <!--ng-click="mapResize()"-->
        <div class="rightSec roboLight floatRight" ng-hide="currentNav('userPage')">
            <div class="notificationAlert midBlock pointer active" data-init="1">
                <span class="midBlock small alertTxt " ng-click="mapResize()" >Notifications</span>
                <span class="midBlock notifNUm smallest">{{messages.length}}</span>
            </div>
            <div ng-controller="loginCtrl" class="midBlock marginLeft">
                <!-- <a href="#" ng-click="logout()" class="midBlock logout small"  >Logout</a>-->
                <div ng-click="logout()" class="loginBtn subNormal">Logout</div>
            </div>
        </div>
        <span class="clear"></span>
    </div>

    <!--....... Map menu .........-->
    <div class="mapMenu lightGreyBack">
        <ul>
            <li ng-class="{active:currentNav('traffic')}" data-name="Traffic Management">
                <a href="#/traffic/laneMap">
                    <img src="images/lane.jpg" alt="">

                    <div class="labelMain">
                        <div class="label">Traffic</div>
                    </div>
                </a>
            </li>
            <li ng-class="{active:currentNav('terminal')}" data-name="Terminal Management">
                <a href="#/terminal/terminalMap">
                    <img src="images/terminal1.jpg" alt="">

                    <div class="labelMain">
                        <div class="label">Terminal</div>
                    </div>
                </a>
            </li>
            <!--<li>-->
            <!--<a href="">-->
            <!--<img src="images/terminal2.jpg" alt="">-->
            <!--</a>-->
            <!--</li>-->
            <!--<li>-->
            <!--<a href="">-->
            <!--<img src="images/terminal3.jpg" alt="">-->
            <!--</a>-->
            <!--</li>-->
            <span class="clear"></span>
        </ul>
    </div>


    <div id="contWrapper" ng-controller="activeNav" ng-class="{fitScreen: currentNav('traffic/laneMap')}">

        <div class="contentBox compressed" ng-class="{login: currentNav('userPage')}" ui-view></div>

        <notifications messages-data-model="messages" ng-hide="currentNav('userPage')" clear-me="clearMapData" notify="notifyTheNotification"></notifications>

        <!--....... cam popup .......-->
        <div class="background"></div>

        <div class="camPopup">

            <div class="close subNormal">X</div>
            <div class="videoMain">
                <!--{{camUrl}}-->
                <img class="loadingBar" src="images/loader.GIF">
                <video class="video" id="camVideo" ng-src="{{camUrl}}" type="video/mp4" muted loop autoplay></video>
            </div>
            <div class="camDetails">
                <div class="floatLeft">
                    <div class="lane normal">Lane 3</div>
                    <div class="name smallest">Camera 52</div>
                </div>
                <div class="floatRight">
                    <img src="images/camIcon.png" alt="" class="videoIcon">
                </div>
                <span class="clear"></span>
            </div>
            <ul class="indicatorsList">
                <li>
                    <div class="roboRegular smallest">
                        <span class="">Traffic</span>
                        <span class="marginLeftSrt">51%</span>
                    </div>
                    <div class="indicator green"></div>
                </li>
                <li>
                    <div class="roboRegular smallest">
                        <span class="">Speed</span>
                        <span class="marginLeftSr">64%</span>
                    </div>
                    <div class="indicator orange"></div>
                </li>
                <li>
                    <div class="roboRegular smallest">
                        <span class="">Occupancy</span>
                        <span class="marginLeftSrt">83%</span>
                    </div>
                    <div class="indicator red"></div>
                </li>
                <li>
                    <div class="roboRegular smallest">
                        <span class="">Volume</span>
                        <span class="marginLeftSrt">58%</span>
                    </div>
                    <div class="indicator orangeB"></div>
                </li>
                <span class="clear"></span>
            </ul>
        </div>
    </div>




</div>





<!--directive for  Terminal -->
<!--<script src="js/lib/ol.js"></script>-->

<!--<script src="http://openlayers.org/en/v3.12.1/build/ol.js"></script>-->

<script src="http://tombatossals.github.io/angular-openlayers-directive/bower_components/openlayers3/build/ol.js"></script>
<script src="http://tombatossals.github.io/angular-openlayers-directive/bower_components/angular-sanitize/angular-sanitize.min.js"></script>
<script src="http://tombatossals.github.io/angular-openlayers-directive/dist/angular-openlayers-directive.js"></script>

<!--<script src="js/lib/ol.js"></script>-->

<!--<script src="js/lib/angular-sanitize.min.js"></script>
<script src="js/lib/angular-openlayers-directive.js"></script>
<link href="css/lib/ol.css" rel="stylesheet">
<link rel="stylesheet" href="css/lib/angular-openlayers-directive.css" />-->


<script type="text/javascript" src="js/lib/socket.io-1.3.7.js"></script>

<script>

//    new WOW().init();

    var socket = io.connect();
    // , {secure: true}

    socket.on('news', function (data) {
        console.log(data);
    });
</script>

</body>
</html>
